Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -2536,73 +3231,73 @@
 bool molecule::ParseKeySetFile(ofstream *out, char *path, Graph *&FragmentList)
 {
-	bool status = true;
-	ifstream InputFile;
-	stringstream line;
-	GraphTestPair testGraphInsert;
-	int NumberOfFragments = 0;
-	double TEFactor;
-	char *filename = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::ParseKeySetFile - filename");
-
-	if (FragmentList == NULL) { // check list pointer
-		FragmentList = new Graph;
-	}
-
-	// 1st pass: open file and read
-	*out << Verbose(1) << "Parsing the KeySet file ... " << endl;
-	sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, KEYSETFILE);
-	InputFile.open(filename);
-	if (InputFile != NULL) {
-		// each line represents a new fragment
-		char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::ParseKeySetFile - *buffer");
-		// 1. parse keysets and insert into temp. graph
-		while (!InputFile.eof()) {
-			InputFile.getline(buffer, MAXSTRINGSIZE);
-			KeySet CurrentSet;
-			if ((strlen(buffer) > 0) && (ScanBufferIntoKeySet(out, buffer, CurrentSet))) {	// if at least one valid atom was added, write config
-				testGraphInsert = FragmentList->insert(GraphPair (CurrentSet,pair<int,double>(NumberOfFragments++,1)));	// store fragment number and current factor
-				if (!testGraphInsert.second) {
-					cerr << "KeySet file must be corrupt as there are two equal key sets therein!" << endl;
-				}
-			}
-		}
-		// 2. Free and done
-		InputFile.close();
-		InputFile.clear();
-		Free((void **)&buffer, "molecule::ParseKeySetFile - *buffer");
-		*out << Verbose(1) << "done." << endl;
-	} else {
-		*out << Verbose(1) << "File " << filename << " not found." << endl;
-		status = false;
-	}
-
-	// 2nd pass: open TEFactors file and read
-	*out << Verbose(1) << "Parsing the TEFactors file ... " << endl;
-	sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, TEFACTORSFILE);
-	InputFile.open(filename);
-	if (InputFile != NULL) {
-		// 3. add found TEFactors to each keyset
-		NumberOfFragments = 0;
-		for(Graph::iterator runner = FragmentList->begin();runner != FragmentList->end(); runner++) {
-			if (!InputFile.eof()) {
-				InputFile >> TEFactor;
-				(*runner).second.second = TEFactor;
-				*out << Verbose(2) << "Setting " << ++NumberOfFragments << " fragment's TEFactor to " << (*runner).second.second << "." << endl;
-			} else {
-				status = false;
-				break;
-			}
-		}
-		// 4. Free and done
-		InputFile.close();
-		*out << Verbose(1) << "done." << endl;
-	} else {
-		*out << Verbose(1) << "File " << filename << " not found." << endl;
-		status = false;
-	}
-
-	// free memory
-	Free((void **)&filename, "molecule::ParseKeySetFile - filename");
-
-	return status;
+  bool status = true;
+  ifstream InputFile;
+  stringstream line;
+  GraphTestPair testGraphInsert;
+  int NumberOfFragments = 0;
+  double TEFactor;
+  char *filename = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::ParseKeySetFile - filename");
+
+  if (FragmentList == NULL) { // check list pointer
+    FragmentList = new Graph;
+  }
+
+  // 1st pass: open file and read
+  *out << Verbose(1) << "Parsing the KeySet file ... " << endl;
+  sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, KEYSETFILE);
+  InputFile.open(filename);
+  if (InputFile != NULL) {
+    // each line represents a new fragment
+    char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::ParseKeySetFile - *buffer");
+    // 1. parse keysets and insert into temp. graph
+    while (!InputFile.eof()) {
+      InputFile.getline(buffer, MAXSTRINGSIZE);
+      KeySet CurrentSet;
+      if ((strlen(buffer) > 0) && (ScanBufferIntoKeySet(out, buffer, CurrentSet))) {  // if at least one valid atom was added, write config
+        testGraphInsert = FragmentList->insert(GraphPair (CurrentSet,pair<int,double>(NumberOfFragments++,1)));  // store fragment number and current factor
+        if (!testGraphInsert.second) {
+          cerr << "KeySet file must be corrupt as there are two equal key sets therein!" << endl;
+        }
+      }
+    }
+    // 2. Free and done
+    InputFile.close();
+    InputFile.clear();
+    Free((void **)&buffer, "molecule::ParseKeySetFile - *buffer");
+    *out << Verbose(1) << "done." << endl;
+  } else {
+    *out << Verbose(1) << "File " << filename << " not found." << endl;
+    status = false;
+  }
+
+  // 2nd pass: open TEFactors file and read
+  *out << Verbose(1) << "Parsing the TEFactors file ... " << endl;
+  sprintf(filename, "%s/%s%s", path, FRAGMENTPREFIX, TEFACTORSFILE);
+  InputFile.open(filename);
+  if (InputFile != NULL) {
+    // 3. add found TEFactors to each keyset
+    NumberOfFragments = 0;
+    for(Graph::iterator runner = FragmentList->begin();runner != FragmentList->end(); runner++) {
+      if (!InputFile.eof()) {
+        InputFile >> TEFactor;
+        (*runner).second.second = TEFactor;
+        *out << Verbose(2) << "Setting " << ++NumberOfFragments << " fragment's TEFactor to " << (*runner).second.second << "." << endl;
+      } else {
+        status = false;
+        break;
+      }
+    }
+    // 4. Free and done
+    InputFile.close();
+    *out << Verbose(1) << "done." << endl;
+  } else {
+    *out << Verbose(1) << "File " << filename << " not found." << endl;
+    status = false;
+  }
+
+  // free memory
+  Free((void **)&filename, "molecule::ParseKeySetFile - filename");
+
+  return status;
 };
 
@@ -2615,50 +3310,50 @@
 bool molecule::StoreKeySetFile(ofstream *out, Graph &KeySetList, char *path)
 {
-	ofstream output;
-	bool status =	true;
-	string line;
-
-	// open KeySet file
-	line = path;
-	line.append("/");
-	line += FRAGMENTPREFIX;
-	line += KEYSETFILE;
-	output.open(line.c_str(), ios::out);
-	*out << Verbose(1) << "Saving key sets of the total graph ... ";
-	if(output != NULL) {
-		for(Graph::iterator runner = KeySetList.begin(); runner != KeySetList.end(); runner++) {
-			for (KeySet::iterator sprinter = (*runner).first.begin();sprinter != (*runner).first.end(); sprinter++) {
-				if (sprinter != (*runner).first.begin())
-					output << "\t";
-				output << *sprinter;
-			}
-			output << endl;
-		}
-		*out << "done." << endl;
-	} else {
-		cerr << "Unable to open " << line << " for writing keysets!" << endl;
-		status = false;
-	}
-	output.close();
-	output.clear();
-
-	// open TEFactors file
-	line = path;
-	line.append("/");
-	line += FRAGMENTPREFIX;
-	line += TEFACTORSFILE;
-	output.open(line.c_str(), ios::out);
-	*out << Verbose(1) << "Saving TEFactors of the total graph ... ";
-	if(output != NULL) {
-		for(Graph::iterator runner = KeySetList.begin(); runner != KeySetList.end(); runner++)
-			output << (*runner).second.second << endl;
-		*out << Verbose(1) << "done." << endl;
-	} else {
-		*out << Verbose(1) << "failed to open " << line << "." << endl;
-		status = false;
-	}
-	output.close();
-
-	return status;
+  ofstream output;
+  bool status =  true;
+  string line;
+
+  // open KeySet file
+  line = path;
+  line.append("/");
+  line += FRAGMENTPREFIX;
+  line += KEYSETFILE;
+  output.open(line.c_str(), ios::out);
+  *out << Verbose(1) << "Saving key sets of the total graph ... ";
+  if(output != NULL) {
+    for(Graph::iterator runner = KeySetList.begin(); runner != KeySetList.end(); runner++) {
+      for (KeySet::iterator sprinter = (*runner).first.begin();sprinter != (*runner).first.end(); sprinter++) {
+        if (sprinter != (*runner).first.begin())
+          output << "\t";
+        output << *sprinter;
+      }
+      output << endl;
+    }
+    *out << "done." << endl;
+  } else {
+    cerr << "Unable to open " << line << " for writing keysets!" << endl;
+    status = false;
+  }
+  output.close();
+  output.clear();
+
+  // open TEFactors file
+  line = path;
+  line.append("/");
+  line += FRAGMENTPREFIX;
+  line += TEFACTORSFILE;
+  output.open(line.c_str(), ios::out);
+  *out << Verbose(1) << "Saving TEFactors of the total graph ... ";
+  if(output != NULL) {
+    for(Graph::iterator runner = KeySetList.begin(); runner != KeySetList.end(); runner++)
+      output << (*runner).second.second << endl;
+    *out << Verbose(1) << "done." << endl;
+  } else {
+    *out << Verbose(1) << "failed to open " << line << "." << endl;
+    status = false;
+  }
+  output.close();
+
+  return status;
 };
 
@@ -2671,29 +3366,29 @@
 bool molecule::StoreAdjacencyToFile(ofstream *out, char *path)
 {
-	ofstream AdjacencyFile;
-	atom *Walker = NULL;
-	stringstream line;
-	bool status = true;
-
-	line << path << "/" << FRAGMENTPREFIX << ADJACENCYFILE;
-	AdjacencyFile.open(line.str().c_str(), ios::out);
-	*out << Verbose(1) << "Saving adjacency list ... ";
-	if (AdjacencyFile != NULL) {
-		Walker = start;
-		while(Walker->next != end) {
-			Walker = Walker->next;
-			AdjacencyFile << Walker->nr << "\t";
-			for (int i=0;i<NumberOfBondsPerAtom[Walker->nr];i++)
-				AdjacencyFile << ListOfBondsPerAtom[Walker->nr][i]->GetOtherAtom(Walker)->nr << "\t";
-			AdjacencyFile << endl;
-		}
-		AdjacencyFile.close();
-		*out << Verbose(1) << "done." << endl;
-	} else {
-		*out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
-		status = false;
-	}
-
-	return status;
+  ofstream AdjacencyFile;
+  atom *Walker = NULL;
+  stringstream line;
+  bool status = true;
+
+  line << path << "/" << FRAGMENTPREFIX << ADJACENCYFILE;
+  AdjacencyFile.open(line.str().c_str(), ios::out);
+  *out << Verbose(1) << "Saving adjacency list ... ";
+  if (AdjacencyFile != NULL) {
+    Walker = start;
+    while(Walker->next != end) {
+      Walker = Walker->next;
+      AdjacencyFile << Walker->nr << "\t";
+      for (int i=0;i<NumberOfBondsPerAtom[Walker->nr];i++)
+        AdjacencyFile << ListOfBondsPerAtom[Walker->nr][i]->GetOtherAtom(Walker)->nr << "\t";
+      AdjacencyFile << endl;
+    }
+    AdjacencyFile.close();
+    *out << Verbose(1) << "done." << endl;
+  } else {
+    *out << Verbose(1) << "failed to open file " << line.str() << "." << endl;
+    status = false;
+  }
+
+  return status;
 };
 
@@ -2706,69 +3401,69 @@
 bool molecule::CheckAdjacencyFileAgainstMolecule(ofstream *out, char *path, atom **ListOfAtoms)
 {
-	ifstream File;
-	stringstream filename;
-	bool status = true;
-	char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::CheckAdjacencyFileAgainstMolecule: *buffer");
-
-	filename << path << "/" << FRAGMENTPREFIX << ADJACENCYFILE;
-	File.open(filename.str().c_str(), ios::out);
-	*out << Verbose(1) << "Looking at bond structure stored in adjacency file and comparing to present one ... ";
-	if (File != NULL) {
-		// allocate storage structure
-		int NonMatchNumber = 0;	 // will number of atoms with differing bond structure
-		int *CurrentBonds = (int *) Malloc(sizeof(int)*8, "molecule::CheckAdjacencyFileAgainstMolecule - CurrentBonds"); // contains parsed bonds of current atom
-		int CurrentBondsOfAtom;
-
-		// Parse the file line by line and count the bonds
-		while (!File.eof()) {
-			File.getline(buffer, MAXSTRINGSIZE);
-			stringstream line;
-			line.str(buffer);
-			int AtomNr = -1;
-			line >> AtomNr;
-			CurrentBondsOfAtom = -1; // we count one too far due to line end
-			// parse into structure
-			if ((AtomNr >= 0) && (AtomNr < AtomCount)) {
-				while (!line.eof())
-					line >> CurrentBonds[ ++CurrentBondsOfAtom ];
-				// compare against present bonds
-				//cout << Verbose(2) << "Walker is " << *Walker << ", bond partners: ";
-				if (CurrentBondsOfAtom == NumberOfBondsPerAtom[AtomNr]) {
-					for(int i=0;i<NumberOfBondsPerAtom[AtomNr];i++) {
-						int id = ListOfBondsPerAtom[AtomNr][i]->GetOtherAtom(ListOfAtoms[AtomNr])->nr;
-						int j = 0;
-						for (;(j<CurrentBondsOfAtom) && (CurrentBonds[j++] != id);); // check against all parsed bonds
-						if (CurrentBonds[j-1] != id) { // no match ? Then mark in ListOfAtoms
-							ListOfAtoms[AtomNr] = NULL;
-							NonMatchNumber++;
-							status = false;
-							//out << "[" << id << "]\t";
-						} else {
-							//out << id << "\t";
-						}
-					}
-					//out << endl;
-				} else {
-					*out << "Number of bonds for Atom " << *ListOfAtoms[AtomNr] << " does not match, parsed " << CurrentBondsOfAtom << " against " << NumberOfBondsPerAtom[AtomNr] << "." << endl;
-					status = false;
-				}
-			}
-		}
-		File.close();
-		File.clear();
-		if (status) { // if equal we parse the KeySetFile
-			*out << Verbose(1) << "done: Equal." << endl;
-			status = true;
-		} else
-			*out << Verbose(1) << "done: Not equal by " << NonMatchNumber << " atoms." << endl;
-		Free((void **)&CurrentBonds, "molecule::CheckAdjacencyFileAgainstMolecule - **CurrentBonds");
-	} else {
-		*out << Verbose(1) << "Adjacency file not found." << endl;
-		status = false;
-	}
-	*out << endl;
-	Free((void **)&buffer, "molecule::CheckAdjacencyFileAgainstMolecule: *buffer");
-
-	return status;
+  ifstream File;
+  stringstream filename;
+  bool status = true;
+  char *buffer = (char *) Malloc(sizeof(char)*MAXSTRINGSIZE, "molecule::CheckAdjacencyFileAgainstMolecule: *buffer");
+
+  filename << path << "/" << FRAGMENTPREFIX << ADJACENCYFILE;
+  File.open(filename.str().c_str(), ios::out);
+  *out << Verbose(1) << "Looking at bond structure stored in adjacency file and comparing to present one ... ";
+  if (File != NULL) {
+    // allocate storage structure
+    int NonMatchNumber = 0;   // will number of atoms with differing bond structure
+    int *CurrentBonds = (int *) Malloc(sizeof(int)*8, "molecule::CheckAdjacencyFileAgainstMolecule - CurrentBonds"); // contains parsed bonds of current atom
+    int CurrentBondsOfAtom;
+
+    // Parse the file line by line and count the bonds
+    while (!File.eof()) {
+      File.getline(buffer, MAXSTRINGSIZE);
+      stringstream line;
+      line.str(buffer);
+      int AtomNr = -1;
+      line >> AtomNr;
+      CurrentBondsOfAtom = -1; // we count one too far due to line end
+      // parse into structure
+      if ((AtomNr >= 0) && (AtomNr < AtomCount)) {
+        while (!line.eof())
+          line >> CurrentBonds[ ++CurrentBondsOfAtom ];
+        // compare against present bonds
+        //cout << Verbose(2) << "Walker is " << *Walker << ", bond partners: ";
+        if (CurrentBondsOfAtom == NumberOfBondsPerAtom[AtomNr]) {
+          for(int i=0;i<NumberOfBondsPerAtom[AtomNr];i++) {
+            int id = ListOfBondsPerAtom[AtomNr][i]->GetOtherAtom(ListOfAtoms[AtomNr])->nr;
+            int j = 0;
+            for (;(j<CurrentBondsOfAtom) && (CurrentBonds[j++] != id);); // check against all parsed bonds
+            if (CurrentBonds[j-1] != id) { // no match ? Then mark in ListOfAtoms
+              ListOfAtoms[AtomNr] = NULL;
+              NonMatchNumber++;
+              status = false;
+              //out << "[" << id << "]\t";
+            } else {
+              //out << id << "\t";
+            }
+          }
+          //out << endl;
+        } else {
+          *out << "Number of bonds for Atom " << *ListOfAtoms[AtomNr] << " does not match, parsed " << CurrentBondsOfAtom << " against " << NumberOfBondsPerAtom[AtomNr] << "." << endl;
+          status = false;
+        }
+      }
+    }
+    File.close();
+    File.clear();
+    if (status) { // if equal we parse the KeySetFile
+      *out << Verbose(1) << "done: Equal." << endl;
+      status = true;
+    } else
+      *out << Verbose(1) << "done: Not equal by " << NonMatchNumber << " atoms." << endl;
+    Free((void **)&CurrentBonds, "molecule::CheckAdjacencyFileAgainstMolecule - **CurrentBonds");
+  } else {
+    *out << Verbose(1) << "Adjacency file not found." << endl;
+    status = false;
+  }
+  *out << endl;
+  Free((void **)&buffer, "molecule::CheckAdjacencyFileAgainstMolecule: *buffer");
+
+  return status;
 };
 
